import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');


const g = svg.append('g')
  .attr('transform', `translate(${width/2}, ${height/2})`);

const rectangle = g.append('rect')
  .attr('x', -300)
  .attr('y', -200)
  .attr('width', 400)
  .attr('height', 250)
  .attr('fill', 'white')
  .attr('stroke', 'black'); 

const rad = 20

const line3 = g.append('path')
  .attr("class", "line")
  .attr('d', 'M-240 -15 L-165 -140')
  .attr('stroke', 'black')
  .attr('stroke-width', 10)
  .attr('stroke-linecap', 'concave');

const line2 = g.append('path')
  .attr("class", "line")
  .attr('d', 'M-55 -15 L-135 -140')
  .attr('stroke', 'black')
  .attr('stroke-width', 10)
  .attr('stroke-linecap', 'concave');

const circle1 = g.append('circle')
  .attr('r', rad)
  .attr('cx',-250)
  .attr('fill','#f64f59');

const circle2 = g.append('circle')
  .attr('r', rad)
  .attr('cx',-250)
  .attr('cy',-150)
  .attr('fill','#f64f59');

const circle3 = g.append('circle')
  .attr('r', rad)
  .attr('cx',-250 + 100)
  .attr('cy',-150)
  .attr('fill','#f64f59');

const circle4 = g.append('circle')
  .attr('r', rad)
  .attr('cx',-250 + 100)
  .attr('cy',-150 + 150)
  .attr('fill','#f64f59');

const circle5 = g.append('circle')
  .attr('r', rad)
  .attr('cx',-250 + 200)
  .attr('cy',-150)
  .attr('fill','#f64f59');

const circle6 = g.append('circle')
  .attr('r', rad)
  .attr('cx',-250 + 200)
  .attr('cy',-150 + 150)
  .attr('fill','#f64f59');

const circle7 = g.append('circle')
  .attr('r', rad)
  .attr('cx',-250 + 300)
  .attr('cy',-150 )
  .attr('fill','#f64f59');

const circle8 = g.append('circle')
  .attr('r', rad)
  .attr('cx',-250 + 300)
  .attr('cy',-150 + 150)
  .attr('fill','#f64f59');

